@using Microsoft.AspNetCore.Identity

@inject SignInManager<ApplicationUser> SignInManager
@inject UserManager<ApplicationUser> UserManager

@if (User.Identity.IsAuthenticated)
{
<form asp-area="Identity" asp-page="/Account/Logout" asp-route-returnUrl="@Url.Action("Index", "Home", new { area = "" })" method="post" id="logoutForm" class="navbar-right">
    <ul class="nav navbar-nav">
        <li><a asp-area="" asp-controller="Games" asp-action="Index">Games</a></li>
        <li><a asp-area="" asp-controller="Home" asp-action="Score">Scoreboard</a></li>
    </ul>
    <ul class="nav navbar-nav navbar-right">
        <li>
            <a asp-area="Identity" asp-page="/Account/Manage/Index" title="Manage">Hello @UserManager.GetUserAsync(User).Result.NickName!</a>
        </li>
        <li>
            <button type="submit" class="btn btn-link navbar-btn navbar-link">Logout</button>
        </li>
    </ul>
</form>
}
else
{      
       <ul class="nav navbar-nav navbar-right">
           <li><a asp-area="" asp-controller="Home" asp-action="Score">Scoreboard</a></li>
           <li><a asp-area="Identity" asp-page="/Account/Register">Register</a></li>
       </ul>
}